Download it now!
Bug 104043 - WRITER: Line color sometimes is not changed in Draw Toolbar
Summary: WRITER: Line color sometimes is not changed in Draw Toolbar
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2016-11-19 22:36 UTC by Eduardo Sanchez
Modified: 2018-10-09 11:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eduardo Sanchez 2016-11-19 22:36:11 UTC
Description:
WHen selecting a figure from the drawing toolbar, this is drawn with the default line color (usually Tango Sky Blue 2).

Sometimes, when the user right clicks on the figure and selects "Line...", and changes the color, sometimes this is ineffective. If the user selects black, for example, the line color will remain Tango Sky Blue 2 no matter what.

I was able to work around this by selecting Tango Sky Blue as color first, and only then selecting Black.

Steps to Reproduce:
1.Draw some figure with the Drawing toolbar.
2. Right Click on the figure; choose "Line..."
3. Change the color to Black.


Actual Results:  
Most of the time, nothing happens. The line color of the figure will remain in the default color.

Expected Results:
Line color should change to the user-specified color at all times.


Reproducible: Sometimes

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.100 Safari/537.36
Comment 1 Buovjaga 2016-11-28 14:14:20 UTC
(In reply to Eduardo Sanchez from comment #0)
> Steps to Reproduce:
> 1.Draw some figure with the Drawing toolbar.
> 2. Right Click on the figure; choose "Line..."
> 3. Change the color to Black.

I drew a rectangle and it worked.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 368de904974b18dc5a8d237e046c0ed005f7c85d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 26th 2016
Comment 2 Jean-Baptiste Faure 2017-09-09 19:16:32 UTC
Not reproducible for me with LO 5.4.1 under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 3 Buovjaga 2017-09-10 06:19:58 UTC
Eduardo: are you seeing this still with version 5.4? For convenience, you can test with AppImages: http://libreoffice.soluzioniopen.com/

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 4 QA Administrators 2018-09-03 14:50:14 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2018-10-09 11:31:27 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20181009